# Maintainer: Crystal Linux Distribution Team <distribution@lists.getcryst.al>

pkgname=crystal-first-setup
_pkgname=first-setup
pkgver=1.2.4
pkgrel=2
pkgdesc='Crystal Linux first-setup application'
license=('GPL-3.0-only')
arch=('x86_64' 'aarch64')
url="https://gitlab.com/crystal-linux/software/${_pkgname}"
depends=('polkit' 'grub' 'mkinitcpio' 'python-gobject' 'libadwaita' 'gtk4')
makedepends=('meson' 'ninja' 'desktop-file-utils' 'appstream-glib')
source=("${url}/-/archive/v${pkgver}/${_pkgname}-v${pkgver}.tar.gz")
sha256sums=('421e94092a2c851a72d52374c2eb772e2360409451f0739e2d2d00d9ed3baae2')

build() {
    cd "${_pkgname}-v${pkgver}"
    meson --prefix="/usr" _build
    ninja -C _build
}

package() {
    cd "${_pkgname}-v${pkgver}/_build"
    DESTDIR="${pkgdir}" ninja install

    install -Dm 644 ../recipe.json "${pkgdir}/etc/vanilla-first-setup/recipe.json"
    install -Dm 644 ../README.md "${pkgdir}/usr/share/doc/${pkgname}/README.md"

    install -d "${pkgdir}/etc/skel/.config/autostart/"
    mv "${pkgdir}/usr/share/applications/al.getcryst.FirstSetup.desktop" "${pkgdir}/etc/skel/.config/autostart/al.getcryst.FirstSetup.desktop"

    chmod +x "${pkgdir}/usr/bin/${pkgname}"
    chmod +x "${pkgdir}/usr/bin/${pkgname}-processor"
}
